Skip to main content
`Ctrl`+`K`

# PEPGetOptionsPrefix

Gets the prefix used for searching for all `PEP` options in the database.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetOptionsPrefix(PEP pep,const char *prefix[])

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetOptionsPrefix()`, `PEPAppendOptionsPrefix()`

## Level

advanced

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages